# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION=""
HOMEPAGE="http://developer.ezaurus.com/"
SRC_URI="http://developer.ezaurus.com/sl_j/tool/tools/linux-headers-arm-sa1100-2.4.6-3.i386.rpm"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="arm"
IUSE=""

DEPEND="app-arch/rpm2targz"
RDEPEND=""

src_unpack() {
	echo `pwd`
	echo ${A}
	rpm2targz ../distdir/${A}
	tar -zxvf ${A%%.rpm}.tar.gz
	cd ./opt/Embedix/tools/arm-linux/
	epatch "${FILESDIR}"/arm-unistd-sysctl.patch
}

src_install() {
	cd ${WORKDIR}/opt/Embedix/tools/arm-linux/
	echo `pwd`
	echo ${D}
	mkdir ${D}/usr
	cp -r ./include ${D}/usr
}
